import { faSpinner } from "@fortawesome/free-solid-svg-icons";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import classNames from "classnames";
import React, { useLayoutEffect, useRef, useState } from "react";
var rxTwoCNChar = /^[\u4e00-\u9fa5]{2}$/;
var isTwoCNChar = rxTwoCNChar.test.bind(rxTwoCNChar);
export function Button(props) {
    var _a;
    var _b = props.prefixCls, prefixCls = _b === void 0 ? "xy-button" : _b, className = props.className, style = props.style, children = props.children, type = props.type, shape = props.shape, size = props.size, long = props.long, ghost = props.ghost, icon = props.icon, loading = props.loading, disabled = props.disabled, onClick = props.onClick;
    var _c = useState(false), hasTwoCNChar = _c[0], setHasTwoCNChar = _c[1];
    var ref = useRef(null);
    var classString = classNames(prefixCls, className, style, (_a = {},
        _a[prefixCls + "-type-" + type] = !!type,
        _a[prefixCls + "-shape-" + shape] = !!shape,
        _a[prefixCls + "-size-" + size] = !!size,
        _a[prefixCls + "-disabled"] = disabled,
        _a[prefixCls + "-ghost"] = ghost,
        _a[prefixCls + "-loading"] = loading,
        _a[prefixCls + "-long"] = long,
        _a["two-chinese-chars"] = hasTwoCNChar,
        _a));
    useLayoutEffect(function () {
        var button = ref.current;
        if (!button) {
            return;
        }
        var text = button.textContent || button.innerText;
        if (isNeedInserted() && isTwoCNChar(text)) {
            if (!hasTwoCNChar) {
                setHasTwoCNChar(true);
            }
        }
        else {
            if (hasTwoCNChar) {
                setHasTwoCNChar(false);
            }
        }
    }, [ref.current]);
    function isNeedInserted() {
        return React.Children.count(children) === 1 && !icon;
    }
    function clickHandle(e) {
        if (!disabled && !loading && onClick) {
            onClick(e);
        }
    }
    return (React.createElement("button", { ref: ref, className: classString, style: style, disabled: disabled, onClick: clickHandle },
        loading ? React.createElement(FontAwesomeIcon, { className: prefixCls + "-icon", icon: faSpinner, spin: true }) : icon && React.createElement(FontAwesomeIcon, { className: prefixCls + "-icon", icon: icon }),
        children && React.createElement("span", null, children)));
}
export default React.memo(Button);
//# sourceMappingURL=Button.js.map